classification
Title: IPv6Network constructor docs incorrect about valid input
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: ipaddress documentation errors
View: 18802
Assigned To: docs@python Nosy List: berker.peksag, docs@python, ncoghlan, pebenito, pmoody
Priority: normal Keywords:

Created on 2014-11-08 17:43 by pebenito, last changed 2018-03-08 02:54 by xiang.zhang. This issue is now closed.

Messages (2)
msg230871 - (view) Author: Chris PeBenito (pebenito) Date: 2014-11-08 17:43
Here:

https://docs.python.org/3/library/ipaddress.html#ipaddress.IPv6Network

In the constructor documentation, item 1 says:

"""
A string consisting of an IP address and an optional mask, separated by a slash (/). The IP address is the network address, and the mask can be either a single number, which means it’s a prefix, or a string representation of an IPv6 address. If it’s the latter, the mask is interpreted as a net mask. If no mask is provided, it’s considered to be /128.

For example, the following address specifications are equivalent: 2001:db00::0/24 and 2001:db00::0/ffff:ff00::.
"""

However in issue22800 it has been identified that using the expanded netmask (e.g. ff00::/ff00::) is not supported.
msg268115 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-06-10 11:33
Thanks for the report Chris. The patch in issue 18802 should solve this. It would be great if you'd have time to take a look at it (should we add a note that says we only support CIDR for IPv6?)
History
Date User Action Args
2018-03-08 02:54:22xiang.zhangsetstatus: open -> closed
superseder: ipaddress documentation errors
resolution: duplicate
stage: resolved
2016-06-10 11:33:48berker.peksagsetnosy: + berker.peksag
messages: + msg268115
2014-11-14 19:15:17terry.reedysetnosy: + ncoghlan, pmoody
2014-11-08 17:43:49pebenitocreate